%define		pkgname	libmpd
Summary:	A Haskell binding to the libmpd graphics library
Name:		ghc-%{pkgname}
Version:	0.9.0.1
Release:	1
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	91f3bb968ee1340b48fa2dc5416c446a
URL:		http://hackage.haskell.org/package/libmpd/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-mtl < 2.2
BuildRequires:	ghc-mtl >= 2.0
BuildRequires:	ghc-network < 2.5
BuildRequires:	ghc-network >= 2.1
BuildRequires:	ghc-text >= 0.11
BuildRequires:	ghc-utf8-string < 0.4
BuildRequires:	ghc-utf8-string >= 0.3.1
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Requires:	ghc-mtl < 2.2
Requires:	ghc-mtl >= 2.0
Requires:	ghc-network < 2.5
Requires:	ghc-network >= 2.1
Requires:	ghc-text >= 0.11
Requires:	ghc-utf8-string < 0.4
Requires:	ghc-utf8-string >= 0.3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
A Haskell binding to the libmpd graphics library.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.lhs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Sun Nov 23 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-libmpd.git;a=log;h=master

* Sat Oct 11 2014 Jan Palus <atler@pld-linux.org> 2883044
- up to 0.9.0.1

* Tue Oct 29 2013 Jan Palus <jan.palus@gmail.com> da4ddb6
- rel 2

* Fri Jul 26 2013 Jan Palus <jan.palus@gmail.com> 24d12c7
- rel 1

* Sat Mar 16 2013 Jan Palus <jan.palus@gmail.com> 3277a28
- new

